Modify

Opened 10 years ago

Closed 10 years ago

Last modified 9 years ago

#2424 closed defect (worksforme)

alix3b1: irq 15: nobody cared

Reported by: acoul <alex@…> Owned by: developers
Priority: high Milestone: Kamikaze 8.09 RC1
Component: kernel Version:
Keywords: Cc:

Description

I am testing a beta alix3b1 pcengines board based on AMD LX700 CPU and just run in to the following issue. This is with svn #8843. The dmesg:

Linux version 2.6.22.4 (alex@aifnis) (gcc version 4.2.1) #3 SMP Wed Sep 19 20:47
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000008000000 (usable)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
128MB LOWMEM available.
Entering add_active_range(0, 0, 32768) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->    32768
early_node_map[1] active PFN ranges
    0:        0 ->    32768
On node 0 totalpages: 32768
  DMA zone: 32 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4064 pages, LIFO batch:0
  Normal zone: 224 pages used for memmap
  Normal zone: 28448 pages, LIFO batch:7
DMI not present or invalid.
Allocating PCI resources starting at 10000000 (gap: 08000000:f7f00000)
Built 1 zonelists.  Total pages: 32512
Kernel command line: block2mtd.block2mtd=/dev/hda2,131072,rootfs root=/dev/mtdbs
No local APIC present or hardware disabled
mapped APIC to ffffd000 (0110b000)
Initializing CPU#0
PID hash table entries: 512 (order: 9, 2048 bytes)
Detected 431.650 MHz processor.
Console: colour dummy device 80x25
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
Memory: 126860k/131072k available (1552k kernel code, 3724k reserved, 593k data)
virtual kernel memory layout:
    fixmap  : 0xfffbb000 - 0xfffff000   ( 272 kB)
    vmalloc : 0xc8800000 - 0xfffb9000   ( 887 MB)
    lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)
      .init : 0xc0320000 - 0xc0350000   ( 192 kB)
      .data : 0xc028404f - 0xc03184b0   ( 593 kB)
      .text : 0xc0100000 - 0xc028404f   (1552 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 864.41 BogoMIPS (lpj=4322071)
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0088a93d c0c0a13d 00000000 00000000 000000000
CPU: L1 I Cache: 64K (32 bytes/line), D cache 64K (32 bytes/line)
CPU: L2 Cache: 128K (32 bytes/line)
CPU: After all inits, caps: 0088a93d c0c0a13d 00000000 00000000 00000000 0000000
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 12k freed
CPU0: AMD Geode(TM) Integrated Processor by AMD PCS stepping 02
SMP motherboard not detected.
Local APIC not detected. Using dummy APIC emulation.
Brought up 1 CPUs
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfcb03, last bus=0
PCI: Using configuration type 1
Setting up standard PCI resources
Linux Plug and Play Support v0.97 (c) Adam Belay
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Device 0000:00:01.2 not found by BIOS
PCI: Device 0000:00:0f.2 not found by BIOS
PCI: Device 0000:00:0f.3 not found by BIOS
PCI: Device 0000:00:0f.4 not found by BIOS
PCI: Device 0000:00:0f.5 not found by BIOS
NET: Registered protocol family 2
Time: tsc clocksource has been installed.
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 4096 (order: 3, 49152 bytes)
TCP bind hash table entries: 4096 (order: 3, 32768 bytes)
TCP: Hash tables configured (established 4096 bind 4096)
TCP reno registered
microcode: CPU0 not a capable Intel processor
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
scx200: NatSemi SCx200 Driver
squashfs: version 3.0 (2006/03/15) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) ώώ 2001-2006 Red Hat, Inc.
io scheduler noop registered
io scheduler deadline registered (default)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
AMD Geode RNG detected
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing disabled
serial8250.0: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
Probing IDE interface ide0...
hda: HYPERSTONE FLASH DISK, CFA DISK drive
Clocksource tsc unstable (delta = 310005415 ns)
Time: pit clocksource has been installed.
Probing IDE interface ide1...
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: max request size: 128KiB
hda: 253952 sectors (130 MB) w/0KiB Cache, CHS=992/8/32
hda: cache flushes not supported
 hda: hda1 hda2
block2mtd: version $Revision: 1.30 $
Creating 1 MTD partitions on "rootfs":
0x00000000-0x01020000 : "rootfs"
split_squasfs: no squashfs found in "rootfs"
block2mtd: mtd0: [rootfs] erase_size = 128KiB [131072]
PNP: No PS/2 controller found. Probing ports directly.
i8042.c: No controller found.
mice: PS/2 mouse device common for all mice
nf_conntrack version 0.5.0 (1024 buckets, 8192 max)
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP vegas registered
NET: Registered protocol family 1
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
Using IPI Shortcut mode
VFS: Mounted root (jffs2 filesystem).
Freeing unused kernel memory: 192k freed
Warning: unable to open an initial console.
SCSI subsystem initialized
libata version 2.21 loaded.
wlan: 0.8.4.2 (svn r2568)
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5)
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (svn r2568)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
ath_pci: 0.9.4.5 (svn r2568)
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.9 phy 4.3 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0xe0040000, irq=10
irq 15: nobody cared (try booting with the "irqpoll" option)
 [<c01362d2>] __report_bad_irq+0x36/0x75
 [<c0136502>] note_interrupt+0x1f1/0x22f
 [<c0135a2e>] handle_IRQ_event+0x1a/0x3f
 [<c0136de5>] handle_level_irq+0x75/0xc8
 [<c010659e>] do_IRQ+0x57/0x71
 [<c0104bbf>] common_interrupt+0x23/0x28
 [<c013007b>] rt_mutex_adjust_prio_chain+0x21/0x29a
 [<c011d4c7>] __do_softirq+0x5e/0xcf
 [<c011d56a>] do_softirq+0x32/0x36
 [<c01065a3>] do_IRQ+0x5c/0x71
 [<c014dcc8>] cache_alloc_refill+0x73/0x468
 [<c0104bbf>] common_interrupt+0x23/0x28
 [<c028373d>] _spin_unlock_irqrestore+0x8/0x9
 [<c01360d8>] setup_irq+0x140/0x176
 [<c013fa83>] __kzalloc+0xc/0x30
 [<c88e2172>] ath_intr+0x0/0x1d1a [ath_pci]
 [<c013618a>] request_irq+0x7c/0x98
 [<c88e41a2>] ath_ioctl_ethtool+0x28a/0x3a8 [ath_pci]
 [<c017ffd3>] sysfs_create_link+0x128/0x141
 [<c01c193d>] pci_device_probe+0x36/0x55
 [<c01e43bf>] driver_probe_device+0xc8/0x14b
 [<c02813c5>] klist_next+0x4b/0x6c
 [<c01e451a>] __driver_attach+0x46/0x79
 [<c01e3a0f>] bus_for_each_dev+0x30/0x51
 [<c01e423c>] driver_attach+0x16/0x18
 [<c01e44d4>] __driver_attach+0x0/0x79
 [<c01e3caf>] bus_add_driver+0x6d/0x153
 [<c01c1a7d>] __pci_register_driver+0x4b/0x77
 [<c886f035>] init_module+0x35/0x57 [ath_pci]
 [<c0132fc6>] sys_init_module+0x155e/0x1634
 [<c011eb14>] proc_dointvec_minmax+0x0/0x45
 [<c0104216>] syscall_call+0x7/0xb
 =======================
handlers:
[<c88e2172>] (ath_intr+0x0/0x1d1a [ath_pci])
Disabling IRQ #15
MadWifi: unable to attach hardware: 'Hardware didn't respond as expected' (HAL )
via-rhine.c:v1.10-LK1.4.3 2007-03-06 Written by Donald Becker
PCI: Setting latency timer of device 0000:00:09.0 to 64
eth0: VIA Rhine III (Management Adapter) at 0x11000, 00:0d:b9:12:56:44, IRQ 11.
eth0: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000.

and the /proc/interrupts

           CPU0
  0:     100684    XT-PIC-XT        timer
  2:          0    XT-PIC-XT        cascade
  4:       5016    XT-PIC-XT        serial
  8:          0    XT-PIC-XT        rtc
 10:       9996    XT-PIC-XT        wifi0
 11:          0    XT-PIC-XT        eth0
 14:       7011    XT-PIC-XT        ide0
NMI:          0
LOC:          0
ERR:          0
MIS:          0

the /proc/cpuinfo

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 5
model           : 10
model name      : Geode(TM) Integrated Processor by AMD PCS
stepping        : 2
cpu MHz         : 431.650
cache size      : 128 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu de pse tsc msr cx8 sep pge cmov clflush mmx mmxext 3dnowep
bogomips        : 864.41
clflush size    : 32

Attachments (0)

Change History (9)

comment:1 follow-up: Changed 10 years ago by florian

Have you tried booting the irqpoll option in the kernel command line ?

comment:2 Changed 10 years ago by acoul <alex@…>

I have put this http://www.pcengines.ch/alix3b1.htm board on a production setup with 2 802.11a link. Removing the ath_pci module and installing it again seems to overcome this problem. Here is the /proc/interrupts

           CPU0
  0:    4622579    XT-PIC-XT        timer
  2:          0    XT-PIC-XT        cascade
  4:         13    XT-PIC-XT        serial
  8:          0    XT-PIC-XT        rtc
 10:    9157388    XT-PIC-XT        wifi0
 11:   21753357    XT-PIC-XT        eth0
 14:       7763    XT-PIC-XT        ide0
 15:   16818353    XT-PIC-XT        wifi1
NMI:          0
LOC:          0
ERR:          0
MIS:          0

comment:3 in reply to: ↑ 1 ; follow-ups: Changed 10 years ago by acoul <alex@…>

Replying to florian:

Have you tried booting the irqpoll option in the kernel command line ?

No but I don't thing it would make any difference. Do I have to make a special image or is there an easier way to pass the boot option to the kernel?

comment:4 in reply to: ↑ 3 Changed 10 years ago by acoul <alex@…>

Replying to acoul <alex@ozo.com>:

Replying to florian:

Have you tried booting the irqpoll option in the kernel command line ?

No but I don't thing it would make any difference. Do I have to make a special image or is there an easier way to pass the boot option to the kernel?

the unit is on a 7 meter high antenna mast so I don't have an easy access to the serial console in order to use grub. I may get a second unit if available in order to further debug this issue. Other than thad the unit works very good on this production environment.

comment:5 in reply to: ↑ 3 Changed 10 years ago by acoul <alex@…

Replying to acoul <alex@ozo.com>:

is there an easier way to pass the boot option to the kernel?

mount /dev/hda1 /mnt/
vi /mnt/boot/grub/menu.lst

add irqpoll on the kernel options

umount /mnt
reboot

comment:6 Changed 10 years ago by kaloz

I have doubts if irqpoll is the right "fix".. Will check if I can get my hands on an alix.

comment:8 Changed 10 years ago by nbd

try this patch:

diff --git a/target/linux/generic-2.6/config-2.6.23 b/target/linux/generic-2.6/config-2.6.23
index 363868c..a35acc1 100644
--- a/target/linux/generic-2.6/config-2.6.23
+++ b/target/linux/generic-2.6/config-2.6.23
@@ -425,7 +425,7 @@ CONFIG_HZ_100=y
 # CONFIG_ICPLUS_PHY is not set
 # CONFIG_IDEDISK_MULTI_MODE is not set
 # CONFIG_IDEDMA_IVB is not set
-CONFIG_IDEPCI_SHARE_IRQ=y
+# CONFIG_IDEPCI_SHARE_IRQ is not set
 CONFIG_IDE_MAX_HWIFS=4
 CONFIG_IDE_PROC_FS=y
 # CONFIG_IDE_TASK_IOCTL is not set

comment:9 Changed 10 years ago by nbd

  • Resolution set to worksforme
  • Status changed from new to closed

bug timeout

comment:10 Changed 10 years ago by acoul <alex@…>

early versions of this board do have this issue. the workaround is to remove the ath_pci driver, sleep 1, and reinstall it after the hotplug cycle on a /etc/rc.d/S99ath_pci for example. it works for me.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.